# Warm up an AutoStopping Rule

Manually starts (warms up) the resources managed by an AutoStopping Rule, bringing them online immediately.

Endpoint: POST /gateway/lw/api/accounts/{account_id}/autostopping/rules/{rule_id}/warmup
Version: 1.0
Security: x-api-key

## Path parameters:

  - `account_id` (string, required)
    Account Identifier for the Entity
    Example: "abc12_DEFgh-ijkLMNOPqr"

  - `rule_id` (number, required)
    Unique identifier of the AutoStopping Rule to warm up
    Example: 12345

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier for authentication and authorization.
    Example: "abc12_DEFgh-ijkLMNOPqr"

## Request fields (*/*):

  - `idle_time_mins` (integer)
    Specifies time for which resource should be running

  - `source` (string)
    Specifies source of warm up

  - `forced_trigger` (boolean)
    Specifies warm up as force action to override schedules

## Response 200 fields (application/json):

  - `ts` (integer)
    Response timestamp in milliseconds

  - `success` (boolean)
    Indicates if the operation was successful

  - `errors` (array)
    List of error messages, if any

  - `response` (object)

  - `response.state` (string)
    Current state of the service (e.g., warming_up, active, stopped)

  - `response.target_url` (string)
    Target URL for accessing the service

  - `response.error` (string)
    Error message if the operation failed

  - `response.id` (string)
    Unique identifier for cache invalidation


## Response 500 fields
